Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.servlet
Interface SessionHelper.Factory

Enclosing class:
  SessionHelper

Deprecated. In releases following 3.6 customization will be declarative.

      public static interface SessionHelper.Factory

This interface is used by the SessionHelper to obtain objects that implement various important parts of the Servlet specification, and by doing so, can be placed in front of the application in lieu of the application server's own objects, thus changing the "apparent implementation" of the application server itself (e.g. adding clustering.)

An implementation of the Factory is located dynamically by the SessionHelper based on the version of the Servlet specification that it determines it can support at runtime. The Factory can be explicitly specified as well, by setting it in the initial parameters of the ServletContext, which are placed in the XML deployment descriptor for the web application.

Version:
  Coherence 2.3
Author:
  cp 2003.07.21

Method Summary
`javax.servlet.FilterConfig` | `instantiateFilterConfig(javax.servlet.FilterConfig cfg)` Deprecated. Given an application server's FilterConfig object, create a wrapper.
`javax.servlet.http.HttpServletRequest` | `instantiateHttpServletRequest(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, java.lang.String sSessionId, boolean fCookie, boolean fUrl)` Deprecated. Create an HttpServletRequest wrapper.
`javax.servlet.http.HttpServletResponse` | `instantiateHttpServletResponse(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Deprecated. Create an HttpServletResponse wrapper.
`javax.servlet.http.HttpSession` | `instantiateHttpSession(HttpSessionCollection collection)` Deprecated. Create a new HttpSession object.
`javax.servlet.http.HttpSession` | `instantiateHttpSession(HttpSessionCollection collection, java.lang.String sId)` Deprecated. Create an HttpSession object for an existing session ID.
`javax.servlet.http.HttpSessionContext` | `instantiateHttpSessionContext()` Deprecated. Create an HttpSessionContext implementation.
`javax.servlet.ServletConfig` | `instantiateServletConfig(javax.servlet.ServletConfig cfg)` Deprecated. Given an application server's ServletConfig object, create a wrapper.
`javax.servlet.ServletContext` | `instantiateServletContext()` Deprecated. Create a ServletContext wrapper implementation.
`SessionHelper` | `instantiateSessionHelper(javax.servlet.ServletContext ctx)` Deprecated. Given an application server's ServletContext object, initialize the factory and create the SessionHelper object.

Method Detail

### instantiateSessionHelper

    SessionHelper instantiateSessionHelper(javax.servlet.ServletContext ctx)

  Deprecated.
  Given an application server's ServletContext object, initialize the factory and create the SessionHelper object. This is the bootstrap, and will be called exactly once.
  Parameters:
    `ctx` - an application server ServletContext object
  Returns:
    the SessionHelper object that the factory will work for

### instantiateServletContext

    javax.servlet.ServletContext instantiateServletContext()

  Deprecated.
  Create a ServletContext wrapper implementation.
  Returns:
    a ServletContext object to provide to the application

### instantiateHttpSessionContext

    javax.servlet.http.HttpSessionContext instantiateHttpSessionContext()

  Deprecated.
  Create an HttpSessionContext implementation.
  Returns:
    an HttpSessionContext object to provide to the application

### instantiateFilterConfig

    javax.servlet.FilterConfig instantiateFilterConfig(javax.servlet.FilterConfig cfg)

  Deprecated.
  Given an application server's FilterConfig object, create a wrapper.
  Parameters:
    `cfg` - an application server FilterConfig object
  Returns:
    the FilterConfig object to provide to the application

### instantiateServletConfig

    javax.servlet.ServletConfig instantiateServletConfig(javax.servlet.ServletConfig cfg)

  Deprecated.
  Given an application server's ServletConfig object, create a wrapper.
  Parameters:
    `cfg` - an application server ServletConfig object
  Returns:
    the ServletConfig object to provide to the application

### instantiateHttpServletRequest

    javax.servlet.http.HttpServletRequest instantiateHttpServletRequest(javax.servlet.http.HttpServletRequest req,
                                                                        javax.servlet.http.HttpServletResponse res,
                                                                        java.lang.String sSessionId,
                                                                        boolean fCookie,
                                                                        boolean fUrl)

  Deprecated.
  Create an HttpServletRequest wrapper.
  Parameters:
    `req` - the app server's request object
    `res` - the app server's response object
    `sSessionId` - the session ID (if any) that came with the request
    `fCookie` - if the session ID came from a cookie
    `fUrl` - if the session ID came from the url
  Returns:
    an HttpServletRequest object to provide to the application

### instantiateHttpServletResponse

    javax.servlet.http.HttpServletResponse instantiateHttpServletResponse(javax.servlet.http.HttpServletRequest req,
                                                                          javax.servlet.http.HttpServletResponse res)

  Deprecated.
  Create an HttpServletResponse wrapper.
  Parameters:
    `req` - the wrapped request object
    `res` - the app server's response object
  Returns:
    an HttpServletResponse object to provide to the application

### instantiateHttpSession

    javax.servlet.http.HttpSession instantiateHttpSession(HttpSessionCollection collection)

  Deprecated.
  Create a new HttpSession object.
  Parameters:
    `collection` - the HttpSessionCollection that manages the session models
  Returns:
    an HttpSession object

### instantiateHttpSession

    javax.servlet.http.HttpSession instantiateHttpSession(HttpSessionCollection collection,
                                                          java.lang.String sId)

  Deprecated.
  Create an HttpSession object for an existing session ID.
  Parameters:
    `collection` - the HttpSessionCollection that manages the session models
    `sId` - the session ID
  Returns:
    an HttpSession object

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.